org.eclipse.rdf4j.sail.memory.model

## Class CalendarMemLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractLiteral
  - - org.eclipse.rdf4j.model.impl.SimpleLiteral
    - - org.eclipse.rdf4j.sail.memory.model.MemLiteral
      - - org.eclipse.rdf4j.sail.memory.model.CalendarMemLiteral

- All Implemented Interfaces:
    Serializable, Literal, Value, MemValue

      public class CalendarMemLiteral
      extends MemLiteral

  An extension of MemLiteral that stores a Calendar value to avoid parsing.
  Author:
    David Huynh, Arjohn Kampman
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.memory.model.MemValue

      `EMPTY_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarMemLiteral(Object creator, String label, IRI datatype, XMLGregorianCalendar calendar)`
    `CalendarMemLiteral(Object creator, String label, XMLGregorianCalendar calendar)`
    `CalendarMemLiteral(Object creator, XMLGregorianCalendar calendar)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLGregorianCalendar` | `calendarValue()` Returns the `XMLGregorianCalendar` value of this literal.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.memory.model.MemLiteral

      `addObjectStatement, cleanSnapshotsFromObjectStatements, getCreator, getObjectStatementCount, getObjectStatementList, hasStatements, removeObjectStatement`

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `booleanValue, byteValue, decimalValue, doubleValue, equals, floatValue, getDatatype, getLabel, getLanguage, getXsdDatatype, hashCode, integerValue, intValue, longValue, setDatatype, setDatatype, setLabel, setLanguage, shortValue, stringValue, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractLiteral

      `temporalAccessorValue, temporalAmountValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isLiteral, isResource, isTriple, stringValue`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Literal

      `isLiteral`

- - ### Constructor Detail

    - #### CalendarMemLiteral

          public CalendarMemLiteral(Object creator,
                                    XMLGregorianCalendar calendar)

    - #### CalendarMemLiteral

          public CalendarMemLiteral(Object creator,
                                    String label,
                                    XMLGregorianCalendar calendar)

    - #### CalendarMemLiteral

          public CalendarMemLiteral(Object creator,
                                    String label,
                                    IRI datatype,
                                    XMLGregorianCalendar calendar)

  - ### Method Detail

    - #### calendarValue

          public XMLGregorianCalendar calendarValue()

      Description copied from interface: `Literal`
      Returns the `XMLGregorianCalendar` value of this literal. A calendar representation can be given for literals whose label conforms to the syntax of the following XML Schema datatypes: `dateTime`, `time`, `date`, `gYearMonth`, `gMonthDay`, `gYear`, `gMonth` or `gDay`.
      Specified by:
        `calendarValue` in interface `Literal`
      Overrides:
        `calendarValue` in class `SimpleLiteral`
      Returns:
        The calendar value of the literal.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.